//
//     7  8 
//   Firmata
//
// robocraft.ru

#include <Firmata.h>
#include <Servo.h>

Servo servo7; //   Servo 
Servo servo8; //    

//     Firmata
void analogWriteCallback(byte pin, int value)
{
    if(pin == 7)
      servo7.write(value); //     value
    if(pin == 8)
      servo8.write(value);
}

void setup() 
{
    //   
    Firmata.setFirmwareVersion(0, 2);
    //  - 
    Firmata.attach(ANALOG_MESSAGE, analogWriteCallback);

    servo7.attach(7); //     
    servo8.attach(8);
   
    Firmata.begin(9600); //   Firmata
}

void loop() 
{
    while(Firmata.available())  //   
        Firmata.processInput(); //  -
}
